Subject: Re: bug#24510: 25.1; Info: searching for ` does not find what looks like `

From: Clément Pit--Claudel <[email-masked]>
Date: Sat, 24 Sep 2016 14:14:52 -0400

On 2016-09-24 13:57, Eli Zaretskii wrote:
> I find it hard to believe you
> are saying that we should switch from Courier New to MingLiu as the
> default font: that'd be absurd.

It doesn't feel more more absurd than using Courier New in the first place, frankly.  But sorry for diverting the thread.  I don't use Emacs on Windows, so I don't really care about good defaults there.

> Emacs supports non-programming applications as well, not just
> programming modes.  In fact, the trigger for this discussion was Info,
> a non-programming mode very close to Text mode.

Why does info use a monospace font?

>>> One reason is that Emacs has a wider range of different
>>> applications, where being able to support as many languages and
>>> scripts as possible is more important than in Studio or even Vim.
>>> E.g., at least some of the editors you mention are never used as
>>> email/news clients or Web browsers, where the ability to support as
>>> many scripts as possible is important.
>>
>> Do many of these applications require a monospace font?
> 
> We use a monospaced font for the default face because it suits well
> both programming and non-programming modes, and because aligning text
> is much easier with such a font.  Text alignment is important in modes
> that present summaries in tabular form, like modes that show listing
> of buffers, email summaries, Dired, Proced, etc.

Doesn't we the special 'space' display property make it possible to properly align variable-width fonts?